/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.auditconsole.view {
import flash.events.Event;
import flash.events.MouseEvent;

import mx.controls.Alert;
import mx.controls.LinkButton;

import org.un.cava.birdeye.ravis.components.renderers.nodes.IconNodeRenderer;

public class AuditIconRenderer extends IconNodeRenderer {
    public function AuditIconRenderer() {
    }


    /**
     * this methods initialises and adds a
     * link button to the renderer
     * */
    override protected function initLinkButton() : LinkButton {


        lb = new MultiLineLinkButton();
        /* add node specific data;
         * here no check, but should be done */
        lb.label = this.data.data.@name;

        lb.width = 300;


        lb.setStyle("fontWeight", "normal");
        lb.setStyle("fontSize", "9");

        //lb.setStyle("selectionColor", 0x00FF00);
        lb.setStyle("skin", Class(null));

        lb.toolTip = this.data.data.@desc;
        //lb.addEventListener(MouseEvent.CLICK, dispDetails);

        this.addChild(lb);
        return lb;
    }

    protected function dispDetails(e : Event) : void {
        Alert.show(this.data.data.@details);

    }
}
}